Package healpix.essentials

# Enum Scheme

java.lang.Object
java.lang.Enum<Scheme>
healpix.essentials.Scheme

All Implemented Interfaces:
  `Serializable`, `Comparable<Scheme>`, `java.lang.constant.Constable`

public enum Scheme extends Enum<Scheme>
The Healpix pixel ordering scheme.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NESTED`
NESTED ordering.
`RING`
RING ordering.

## Method Summary

Modifier and Type
Method
Description
`static Scheme`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Scheme[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RING

public static final Scheme RING
RING ordering.

### NESTED

public static final Scheme NESTED
NESTED ordering.

## Method Details

### values

public static Scheme[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Scheme valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null